<div class="container" style="margin-top: 5%;">

  <div class="row justify-content-center align-items-centerer">

    <div class="col-md-6">

      <form #form="ngForm" validate>

        <div class="text-center">
          <img src="assets/images/geolablogo.png" style="max-width: 100px;" alt="logo.png">
        </div>

        <br/>

        <panel titulo="Recuperar senha" [separator]="true">

          <div class="form-group">
            <label>Usuário:</label>
            <input type="text" (keyup.enter)="obterBaseEmailPorLogin()" (blur)="obterBaseEmailPorLogin()" #elLogin required="required" [(ngModel)]="usuario.login"  maxlength="30" id="usuario" name="usuario"  class="form-control" />
          </div>

          <div class="form-group">
            <label>E-mail:</label>
            <input type="text" [(ngModel)]="usuario.email" required="required"  disabled maxlength="255" id="email" name="email"  class="form-control" />
          </div>


          <div class="form-group">
            <label>Confirmar E-mail:</label>
            <input type="text"   [(ngModel)]="confirmarEmail"  #elConfirmarEmail  required="required" maxlength="255" id="confirmarEmail"  name="confirmarEmail"  class="form-control" />
          </div>

          <hr/>

            <div class="row">
              <div class="col-md-8"></div>
              <div class="col-md-2">
                <button  style="float: right;" class="btn btn-primary" [disabled]="!form.valid" (click)="recuperarSenha()" >Recuperar senha</button>
              </div>
              <div class="col-md-2">
                <button  style="float: right;" class="btn btn-secondary"  (click)="voltar()" >Cancelar</button>
              </div>
            </div>


        </panel>

      </form>

    </div>
  </div>
</div>
